<?php
  // file: authentication.php
  // desc: authentication routines
  // code: jeff b (jeff@univrel.pr.uconn.edu)
  // lic : GPL, v2

if (!defined(__AUTHENTICATION_PHP__)) {

define (__AUTHENTICATION_PHP__, true);

function basic_authentication ($realm, $_users_array,
                               $access_denied = "Access denied.\n") {
  global $PHP_AUTH_USER, $PHP_AUTH_PW;
  $users_array = flatten_array ($_users_array);
  reset ($users_array);
  if ((!isset($PHP_AUTH_USER)) or
      ($users_array["$PHP_AUTH_USER"] != $PHP_AUTH_PW) or
      (empty($users_array["$PHP_AUTH_USER"]))) {
    Header("WWW-Authenticate: Basic realm=\"".prepare($realm)."\"");
    Header("HTTP/1.0 401 Unauthorized");
    die($access_denied);
  } else {
    return true;
  }
} // end function basic_authentication

} // end checking if defined

?>
