<?php
 // file: webtools.php
 // desc: loader for php_webtools
 // code: jeff b <jeff@univrel.pr.uconn.edu>
 // lic : GPL, v2

if (!defined(__WEBTOOLS_PHP__)) {

define (__WEBTOOLS_PHP__, true);

// define location of WEBTOOLS
define (WEBTOOLS_ROOT, "/etc/httpd/php/");

// define httpd base dir (for creation of directories, etc)
define (HTTPD_ROOT, "/home/httpd/");

// define "NULL" if we don't know what it is...
if (!defined(NULL)) define (NULL, "");

// *** CLASSES ***
include WEBTOOLS_ROOT."class.box.php";
include WEBTOOLS_ROOT."class.browser_detect.php";
include WEBTOOLS_ROOT."class.hawhaw.php";
include WEBTOOLS_ROOT."class.notebook.php";
include WEBTOOLS_ROOT."class.sql.php";
include WEBTOOLS_ROOT."class.wizard.php";

// *** FUNCTIONS ***
include WEBTOOLS_ROOT."authentication.php";
include WEBTOOLS_ROOT."counter.php";
include WEBTOOLS_ROOT."date_tools.php";
include WEBTOOLS_ROOT."file_tools.php";
include WEBTOOLS_ROOT."language_tools.php";
include WEBTOOLS_ROOT."misc_tools.php";
include WEBTOOLS_ROOT."phone_tools.php";
include WEBTOOLS_ROOT."sql_tools.php";
include WEBTOOLS_ROOT."wap_tools.php";

} // end checking if defined

?>
