<?php
 // file: notebook_test.php
 // desc: test of class.notebook.php
 // code: jeff b <jeff@univrel.pr.uconn.edu>
 // lic : GPL, v2

// load the webtools toolkit
include "webtools.php";

// this is just debug code
if (empty($been_here)) { $action="add"; $been_here="yes";
                         echo "DEBUG: init persistant \"action\" <BR>\n"; }

echo "
 <HTML>
  <TITLE>notebook_test.php</TITLE>
 <BODY BGCOLOR=\"#ffffff\">
";

// class notebook constructor
$book = new notebook (array ("been_here", "action"),  	// * persistant hidden
		      					//   variables
                      NOTEBOOK_COMMON_BAR | NOTEBOOK_STRETCH, // * options
		      3 			// * spill over at
		     );

// page addition
$book->add_page (
  "First",		// * tab name
  array ("a", "b"),	// * variables passed
  			// * code for actual notebook "page" \/
  "<B>A:</B> <INPUT TYPE=\"TEXT\" NAME=\"a\" VALUE=\"".prepare($a)."\"> <BR>
   <B>B:</B> <INPUT TYPE=\"TEXT\" NAME=\"b\" VALUE=\"".prepare($b)."\"> <BR> ");

$book->add_page (
  "Second",
  array ("c", "d"),
  "<B>C:</B> <INPUT TYPE=\"TEXT\" NAME=\"c\" VALUE=\"".prepare($c)."\"> <BR>
   <B>D:</B> <INPUT TYPE=\"TEXT\" NAME=\"d\" VALUE=\"".prepare($d)."\"> <BR> "
);

// class notebook constructor
$second_book = new notebook ("", NOTEBOOK_STRETCH);

$second_book->add_page (
  "1",
  array ("g", "h"),
  "<B>G:</B>
   <SELECT NAME=\"g[]\" SIZE=3 MULTIPLE>
    <OPTION VALUE=1 ".( in_this($g,1) ? "SELECTED" : "" ).">1 
    <OPTION VALUE=2 ".( in_this($g,2) ? "SELECTED" : "" ).">2 
    <OPTION VALUE=3 ".( in_this($g,3) ? "SELECTED" : "" ).">3 
    <OPTION VALUE=4 ".( in_this($g,4) ? "SELECTED" : "" ).">4 
   </SELECT>
   <BR>
   <B>H:</B> <INPUT TYPE=\"TEXT\" NAME=\"h\" VALUE=\"".prepare($h)."\"> <BR> "
);

$second_book->add_page (
  "2",
  array ("i", "j"),
  "<B>I:</B>
   <SELECT NAME=\"i[]\" SIZE=3 MULTIPLE>
    <OPTION VALUE=1 ".( in_this($i,1) ? "SELECTED" : "" ).">1 
    <OPTION VALUE=2 ".( in_this($i,2) ? "SELECTED" : "" ).">2 
    <OPTION VALUE=3 ".( in_this($i,3) ? "SELECTED" : "" ).">3 
    <OPTION VALUE=4 ".( in_this($i,4) ? "SELECTED" : "" ).">4 
   </SELECT>
   <BR>
   <B>J:</B> <INPUT TYPE=\"TEXT\" NAME=\"j\" VALUE=\"".prepare($j)."\"> <BR> "
);


$book->add_page (
  "Third",
  array ("e", "f"),
  "<B>E:</B>
   <SELECT NAME=\"e[]\" SIZE=3 MULTIPLE>
    <OPTION VALUE=1 ".( in_this($e,1) ? "SELECTED" : "" ).">1 
    <OPTION VALUE=2 ".( in_this($e,2) ? "SELECTED" : "" ).">2 
    <OPTION VALUE=3 ".( in_this($e,3) ? "SELECTED" : "" ).">3 
    <OPTION VALUE=4 ".( in_this($e,4) ? "SELECTED" : "" ).">4 
   </SELECT>
   <BR>
   <B>F:</B> <INPUT TYPE=\"TEXT\" NAME=\"f\" VALUE=\"".prepare($f)."\"> <BR>".
   $second_book->display()
);

$book->add_page (
  "About",		// * button name
  NULL,			// * NULL variable list means nothing is passed from
  			//   here
  "This is a test of this particular feature.
   <P>
   There is no item in this frame.
   <P>
   But there is a ".
   $book->generate_submit().		// * drop submit button code in
   " here."
);


// conditional to find out if we are done
if (!$book->is_done()) {
  echo $book->display(); // if we are not done, display the notebook
} else {
  // otherwise do whatever we were meant to do
  echo "Form processing stub here. <BR>\n";
}

echo "
 </BODY>
 </HTML>
";
?>
