<?php
 // file: wizard_test.php
 // desc: test of class.wizard.php
 // code: jeff b <jeff@univrel.pr.uconn.edu>
 // lic : GPL, v2

// load the webtools toolkit
include "webtools.php";

// this is just debug code
if (empty($been_here)) { $action="add"; $been_here="yes";
                         echo "DEBUG: init persistant \"action\" <BR>\n"; }

echo "
 <HTML>
  <TITLE>wizard_test.php</TITLE>
 <BODY BGCOLOR=\"#ffffff\">
";

// class wizard constructor
$wizard = new wizard (array ("been_here", "action"));

// page addition
$wizard->add_page (
  "First",		// * tab name
  array ("a", "b"),	// * variables passed
  			// * code for actual wizard "page" \/
  "<B>A:</B> <INPUT TYPE=\"TEXT\" NAME=\"a\" VALUE=\"".prepare($a)."\"> <BR>
   <B>B:</B> <INPUT TYPE=\"TEXT\" NAME=\"b\" VALUE=\"".prepare($b)."\"> <BR> ");

$wizard->add_page (
  "Second",
  array ("c", "d"),
  "<B>C:</B> <INPUT TYPE=\"TEXT\" NAME=\"c\" VALUE=\"".prepare($c)."\"> <BR>
   <B>D:</B> <INPUT TYPE=\"TEXT\" NAME=\"d\" VALUE=\"".prepare($d)."\"> <BR> "
);

$wizard->add_page (
  "Third",
  array ("e", "f"),
  "<B>E:</B>
   <SELECT NAME=\"e[]\" SIZE=3 MULTIPLE>
    <OPTION VALUE=1 ".( in_this($e,1) ? "SELECTED" : "" ).">1 
    <OPTION VALUE=2 ".( in_this($e,2) ? "SELECTED" : "" ).">2 
    <OPTION VALUE=3 ".( in_this($e,3) ? "SELECTED" : "" ).">3 
    <OPTION VALUE=4 ".( in_this($e,4) ? "SELECTED" : "" ).">4 
   </SELECT>
   <BR>
   <B>F:</B> <INPUT TYPE=\"TEXT\" NAME=\"f\" VALUE=\"".prepare($f)."\"> <BR> "
);

$wizard->add_page (
  "About",		// * button name
  NULL,			// * NULL variable list means nothing is passed from
  			//   here
  "This is a test of this particular feature.
   <P>
   There is no item in this frame.
   <P>
   But there is a ".
   $wizard->generate_finish().		// * drop submit button code in
   " here."
);

// conditional to find out if we are done
if (!$wizard->is_done() and !$wizard->is_cancelled()) {
  $wizard->display(); // if we are not done, display the wizard
} elseif ($wizard->is_done()) {
  // otherwise do whatever we were meant to do
  echo "Form processing stub here. <BR>\n";
} else { // cancelled
  echo "Cancelled!<BR>\n";
}

echo "
 </BODY>
 </HTML>
";
?>
